### Function

# GLib MemChunk new

#### Declaration

    GMemChunk*
    g_mem_chunk_new (
      const gchar* name,
      gint atom_size,
      gsize area_size,
      gint type
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`atom_size`

  Type: `gint`

  No description available.

`area_size`

  Type: `gsize`

  No description available.

`type`

  Type: `gint`

  No description available.

#### Return value

Type: `GMemChunk`

No description available.

The data is owned by the called function.